PHP Manual
Prev |  | Next

# px_get_parameter

(PECL)

px_get_parameter -- Gets a parameter

## Description

string px_get_parameter ( resource pxdoc, string name )

Gets various parameters.

## Parameters

pxdoc

  Resource identifier of the paradox database as returned by px_new().

name

  The name can be one of the following:

  tablename

    The name of the table as it will be stored in the database header.

  targetencoding

    The encoding for the output. Data which is being read from character fields with px_get_record() or px_retrieve_record() is recoded into the targetencoding. If it is not set, then the data will be delivered as stored in the database file.

  inputencoding

    The encoding of the input data which is to be stored into the database. When storing data of character fields in the database, the data is expected to be delivered in this encoding.

## Return Values

Returns the value of the parameter or `FALSE` on failure.

Prev | Home | Next
px_get_info | Up | px_get_record